Bug 76332 - Apache upload limit
Summary: Apache upload limit
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-20 04:59 UTC by Leon
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-20 04:59:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leon 2002-10-20 04:59:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.1b) Gecko/20020721

Description of problem:
I have writen a php file to upload files, but I get an error 413.  The size of
the files are about 6 MB, however I have set the following parameters
(memory_limit, post_max_size & upload_max_filesize) in the php.ini above 6 MB.

Looking at the apache error logs I see:
Requested content-length of XXXXXXX is larger than the configured limit of
524288, referer: http://XXXXXXXX

I have looked at both php.ini and httpd.conf for a setting of 524288.  But had
no luck.

I also tried the following setting in the httpd.conf 
  LimitRequestBody 0
But, still got the same error message.

How do I change apache to recieve files larger the 512kb?

P.S. The upload does work for files less than 512kb.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open the php web file
2. Select a large file to upload
3. When submitted I get an error 413
	

Additional info:

Comment 1 Joe Orton 2002-11-05 11:24:22 UTC
You need to edit the file /etc/httpd/conf.d/php.conf and alter the
LimitRequestBody setting for PHP scripts.


Note You need to log in before you can comment on or make changes to this bug.